package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Regestration_formRepository;
import com.realnet.basicp1.Entity.Regestration_form
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;














	import org.springframework.stereotype.Service;

@Service
 public class Regestration_formService {
@Autowired
private Regestration_formRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;













public Regestration_form Savedata(Regestration_form data) {














	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Regestration_form save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Regestration_form> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Regestration_form> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Regestration_form> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Regestration_form getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Regestration_form update(Regestration_form data,Integer id) {
	Regestration_form old = Repository.findById(id).get();
old.setStudent_name(data.getStudent_name());

old.setDescription(data.getDescription());

old.setNumber_field(data.getNumber_field());

old.setPhone_number(data.getPhone_number());

old.setEmail_field(data.getEmail_field());

old.setDatetime_field(data.getDatetime_field());

 

final Regestration_form test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 














 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
